/* expr.h: definitions for expression evaluator */

#ifndef EXPR_HDR
#define EXPR_HDR

/* $Header: /home/cvs_anon/cvsroot/arg/expr.h,v 1.4 1999/09/01 17:54:39 ajw Exp $ */

/* error codes */
#define EXPR_GOOD	0	/* expression totally good */
#define EXPR_SOSO	-1	/* expression partially good */
#define EXPR_BAD	-2	/* expression totally bad */

extern int expr_error;		/* holds error code after expr_eval */

#ifdef __cplusplus
extern "C" 
{
#endif
	int		expr_eval_int(char *str);
	long	expr_eval_long(char *str);
	double	expr_eval(char *str);
#ifdef __cplusplus
}
#endif

#endif
