/*
	File:			PolyLib.h

	Function:		Defininitions for various polyhedral objects
					
	Author(s):		Andrew Willmott

	Copyright:		Copyright (c) 1995-1996, Andrew Willmott
 */



#ifndef __PolyLib__
#define __PolyLib__

#include "cl/Basics.h"

Void CreateSquare();
Void CreateSolidCube();
Void CreateSolidCone();
Void CreateSolidSphere();
Void CreateSolidCylinder();
Void CreateSolidTetrahedron();

Void AddPolyObjects();

struct PolyLib
{
	static Int numTesselations;
};
#endif
