/*
	File:			SVL.h

	Function:		Master header for a simple version of the VL library.
					The various classes are named Vec2, Mat3, Vec, etc.
					Link with -lsvl.
					
	Author(s):		Andrew Willmott

	Copyright:		Copyright (c) 1995-1996, Andrew Willmott
 */


#ifndef __SVL__
#define __SVL__

// Include headers | templates

#include "vl/Vec2.h"
#include "vl/Vec3.h"
#include "vl/Vec4.h"
#include "vl/Vec.h"

#include "vl/Mat2.h"
#include "vl/Mat3.h"
#include "vl/Mat4.h"
#include "vl/Mat.h"
#include "vl/Transform.h"

#endif
